EAG - Desktop Information

SAP Recommendations

The myUK portal aggregates content from various systems and web applications, including third party software products. Since browser support varies across systems, we currently recommend IE9 or Firefox for the best user experience in the portal.

Macintosh: Firefox 
Download Firefox

Linux (other): Firefox

Windows: Version 7

Microsoft Excel Notes

  • SAP only supports 32-bit versions
  • Both 2007 and 2010 can be used
  • Business Warehouse users can continue to use 2007 or 2010.

Currently supported SAP GUI 7.20 available from http://download.uky.edu. See http://www.uky.edu/IRIS/news/2009/news_sapgui_version.html for more information.

Updated: 11/1/2013

859-218-HELP (859-218-4357) 218help@uky.edu